corda / net.corda.jackson / JacksonSupport / IdentityObjectMapper

# IdentityObjectMapper

`class IdentityObjectMapper : PartyObjectMapper, ObjectMapper`

### Constructors

<init> | `IdentityObjectMapper(identityService: IdentityService, factory: JsonFactory)`

### Properties

identityService | `val identityService: IdentityService`

### Functions

partyFromKey | `fun partyFromKey(owningKey: CompositeKey): Party?`
partyFromName | `fun partyFromName(partyName: String): Party?`